#!/bin/sh

DEVDIR=/sys/bus/spi/devices/spi0.2
LATEST_BUILD=23

if [ -r /usr/lib/firmware/tty-das-spi.bin \
	-a -r $DEVDIR/build_number -a -w $DEVDIR/command ]
then
    if [ $(cat $DEVDIR/build_number) -lt $LATEST_BUILD ]
    then
	echo " * Triggering serial board firmware upgrade"
	echo firmware > $DEVDIR/command
    fi
fi
